Package io.strimzi.systemtest.kafkaclients.clientproperties

## Class ProducerProperties.ProducerPropertiesBuilder

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.clientproperties.AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<ProducerProperties.ProducerPropertiesBuilder>
  - - io.strimzi.systemtest.kafkaclients.clientproperties.ProducerProperties.ProducerPropertiesBuilder

- Enclosing class:
    ProducerProperties

      public static class ProducerProperties.ProducerPropertiesBuilder
      extends AbstractKafkaClientProperties.KafkaClientPropertiesBuilder<ProducerProperties.ProducerPropertiesBuilder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProducerPropertiesBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProducerProperties` | `build()` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withAcksConfig​(String acksConfig)` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withBootstrapServerConfig​(String bootstrapServer)` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withClientIdConfig​(String clientId)` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withKeySerializerConfig​(Class<? extends org.apache.kafka.common.serialization.Serializer> keySerializer)` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withMaxBlockMsConfig​(String maxBlockMsConfig)` |
    `ProducerProperties.ProducerPropertiesBuilder` | `withValueSerializerConfig​(Class<? extends org.apache.kafka.common.serialization.Serializer> valueSerializer)` |

    - ### Methods inherited from class io.strimzi.systemtest.kafkaclients.clientproperties.AbstractKafkaClientProperties.KafkaClientPropertiesBuilder

      `withCaSecretName, withClusterName, withKafkaUsername, withNamespaceName, withSaslJassConfig, withSaslJassConfigAndTls, withSaslLoginCallbackHandlerClass, withSaslMechanism, withSecurityProtocol, withSharedProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProducerPropertiesBuilder

          public ProducerPropertiesBuilder()

  - ### Method Detail

    - #### withBootstrapServerConfig

          public ProducerProperties.ProducerPropertiesBuilder withBootstrapServerConfig​(String bootstrapServer)

    - #### withKeySerializerConfig

          public ProducerProperties.ProducerPropertiesBuilder withKeySerializerConfig​(Class<? extends org.apache.kafka.common.serialization.Serializer> keySerializer)

    - #### withValueSerializerConfig

          public ProducerProperties.ProducerPropertiesBuilder withValueSerializerConfig​(Class<? extends org.apache.kafka.common.serialization.Serializer> valueSerializer)

    - #### withMaxBlockMsConfig

          public ProducerProperties.ProducerPropertiesBuilder withMaxBlockMsConfig​(String maxBlockMsConfig)

    - #### withClientIdConfig

          public ProducerProperties.ProducerPropertiesBuilder withClientIdConfig​(String clientId)

    - #### withAcksConfig

          public ProducerProperties.ProducerPropertiesBuilder withAcksConfig​(String acksConfig)

    - #### build

          public ProducerProperties build()